# RPM specfile for libghttp module
# Generated Wed Aug  1 22:31:33 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.22 2001/07/13 19:02:28 thunder Exp $

%define nam	libghttp
%define ver	1.0.9

Name:     	libghtt
Version: 	1.0.9
Release:	ximian.8
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		ftp://ftp.jimpick.com/pub/mirrors/gnome
Source0:	libghttp-1.0.9.tar.gz
Summary:	Gnome HTTP client library
Group:		System Environment/Libraries
Requires:	glib >= 1.2.8
Provides:	libghttp = %{PACKAGE_VERSION}

%description
This library is used by Gnome clients to do HTTP.

%files
%defattr(-, root, root)
%doc INSTALL NEWS TODO README
/opt/gnome/lib/libghttp.so.*


%package -n libghtt-devel
Summary:	Development files for GNOME http library
Group:		Development/Libraries
Requires:	libghtt = %{PACKAGE_VERSION}
Requires:	glib-devel
Provides:	libghttp-devel = %{PACKAGE_VERSION}
Provides:	libghttd = %{PACKAGE_VERSION}

%description -n libghtt-devel
This packages provides the include files and static library for the Gnome HTTP functions. 

%files -n libghtt-devel
%defattr(-, root, root)
/opt/gnome/lib/libghttp.so
/opt/gnome/lib/libghttp.a
/opt/gnome/lib/libghttp.la
/opt/gnome/include/*
/opt/gnome/lib/ghttpConf.sh


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libghttp-1.0.9
    ;;
all)
%setup  -q -n libghttp-1.0.9
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --sysconfdir=/etc/opt/gnome
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/opt/gnome sysconfdir=${DESTDIR}/etc/opt/gnome infodir=${DESTDIR}/opt/gnome/info mandir=${DESTDIR}/opt/gnome/man
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
